%define name	firefox-ja
%define version	29.0
%define release	b1

Name:		%{name}
Summary:	Localize for Mozilla Firefox
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Applications/Internet
Source:		%{name}-%{version}.tar.bz2
#Requires:	firefox >= %{version}
Buildroot:	%{_tmppath}/%{name}-%{version}
#http://releases.mozilla.org/pub/mozilla.org/firefox/releases/
#https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/29.0.1/linux-i686/xpi/

BuildArchitectures: noarch

%description
Localize for Mozilla Firefox.

%prep
%setup -q

%install
#mkdir -p %{buildroot}/opt/firefox/chrome
#install chrome/*.jar %{buildroot}/opt/firefox/chrome/ja-JP.jar
#sed "s/ja /ja-JP /g; s:chrome/ja:ja-JP:g" chrome.manifest > %{buildroot}/opt/firefox/chrome/ja-JP.manifest

# for search plugin
mkdir -p %{buildroot}/opt/firefox/searchplugins
install searchplugins/* %{buildroot}/opt/firefox/searchplugins

mkdir -p %{buildroot}/opt/firefox/extensions
install -m644 *.xpi %{buildroot}/opt/firefox/extensions

#mkdir -p %{buildroot}/opt/firefox/defaults/pref
#cat > %{buildroot}/opt/firefox/defaults/pref/firefox-ja.js <<EOM
#pref("general.useragent.locale", "ja");
#EOM
#cat > %{buildroot}/opt/firefox/update.locale <<EOM
#en-US
#ja
#EOM

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr (-,root,root)
/opt/firefox/

%changelog
* Fri Jun 6 2014 Yuichiro Nakada <berry@berry-lab.net>
- Update to 29.0.1
* Sun Dec 30 2012 Yuichiro Nakada <berry@berry-lab.net>
- Update to 17.0.1
* Thu Jun 7 2012 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 13.0
* Mon May 14 2012 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 12.0
* Mon Feb 13 2012 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 10.0.1
* Sat Dec 24 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 9.0.1
* Wed Nov 9 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 8.0
* Thu Oct 27 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 7.0.1
* Sun Sep 4 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 6.0.1
* Wed Aug 17 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 6.0
* Mon Jul 25 2011 Yuichiro Nakada <berry@rberry.co.cc>
- Update to 5.0.1
* Wed Jan 27 2010 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.6
* Fri Jul 10 2009 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.5
* Thu Sep 25 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 3.0.2
* Mon Dec 3 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.0.0.11
* Thu Nov 15 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.0.0.9
* Sun Oct 21 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.0.0.8
* Thu Sep 20 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.0.0.7
* Thu Aug 2 2007 Yuichiro Nakada <berry@po.yui.mine.nu>
- Update to 2.0.0.6
* Tue Aug 2 2005 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
